Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

## int Serial.read()

#### Description

Reads incoming serial data.

### Parameters

None

#### Returns

the first byte of incoming serial data available (or -1 if no data is available) int

### Example

    int incomingByte = 0;	// for incoming serial data

    void setup() {
    	Serial.begin(9600);	// opens serial port, sets data rate to 9600 bps
    }

    void loop() {

    	// send data only when you receive data:
    	if (Serial.available() > 0) {
    		// read the incoming byte:
    		incomingByte = Serial.read();

    		// say what you got:
    		Serial.print("I received: ");
    		Serial.println(incomingByte, DEC);
    	}
    }

#### See also

- Serial.begin(speed)
- Serial.available()
- Serial.print(data)
- Serial.println(data)

Reference Home

Edit Page | Page History | Printable View | All Recent Site Changes